#include "Platform.h"
#include <string.h>
#include <stdio.h>
#include <time.h>
#include "WAPKReader.h"
#include "BaseCommunication.h"

#include "memory_placements.h"

#define base CWAVReader

CWAPKReader::CWAPKReader(CReader *Owner, CBaseCommunication *Communicator)
	:base(Owner, Communicator)
{
}

CWAPKReader::~CWAPKReader(void)
{
}

void CWAPKReader::SetHWString(char *String)
{
	strcpy(String, "WAK_");
}

void CWAPKReader::GetProductString(uint8_t *Product)
{
	memcpy(Product, "CJWAK", 5);
}
